Package com.sun.jna.platform.win32

## Class WinRas.RASDEVSPECIFICINFO

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinRas.RASDEVSPECIFICINFO

Enclosing interface:
  WinRas

    @FieldOrder({"dwSize","pbDevSpecificInfo"})
    public static class WinRas.RASDEVSPECIFICINFO
    extends Structure

The RASDEVSPECIFICINFO structure is used to send a cookie for server validation and bypass point-to-point (PPP) authentication.

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `dwSize` The size, in bytes, of the cookie in pbDevSpecificInfo.
`Pointer` `pbDevSpecificInfo` A pointer to a BLOB that contains the authentication cookie.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`RASDEVSPECIFICINFO()`
`RASDEVSPECIFICINFO​(byte[] data)`
`RASDEVSPECIFICINFO​(Pointer memory)`
`RASDEVSPECIFICINFO​(java.lang.String s)`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getData()` Get byte data.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### dwSize

    public int dwSize

The size, in bytes, of the cookie in pbDevSpecificInfo.

#### pbDevSpecificInfo

    public Pointer pbDevSpecificInfo

A pointer to a BLOB that contains the authentication cookie.

### Constructor Detail

#### RASDEVSPECIFICINFO

    public RASDEVSPECIFICINFO()

#### RASDEVSPECIFICINFO

    public RASDEVSPECIFICINFO​(Pointer memory)

#### RASDEVSPECIFICINFO

    public RASDEVSPECIFICINFO​(byte[] data)

#### RASDEVSPECIFICINFO

    public RASDEVSPECIFICINFO​(java.lang.String s)

### Method Detail

#### getData

    public byte[] getData()

Get byte data.

Returns:
  Byte data or null.